<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFSheetXMLHandler (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFSheetXMLHandler (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFSheetXMLHandler.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFReader.XSSFSheetRef.html"
               title="class in org.apache.poi.xssf.eventusermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.SheetContentsHandler.html"
               title="interface in org.apache.poi.xssf.eventusermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFSheetXMLHandler.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.eventusermodel</div>
    <h2 title="Class XSSFSheetXMLHandler" class="title">Class XSSFSheetXMLHandler</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.xml.sax.helpers.DefaultHandler</li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xssf.eventusermodel.XSSFSheetXMLHandler</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver,
                        org.xml.sax.ErrorHandler
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSSFSheetXMLHandler</span>
extends org.xml.sax.helpers.DefaultHandler</pre>
                <div class="block">This class handles the processing of a sheet#.xml
                    sheet part of a XSSF .xlsx file, and generates
                    row and cell events for it.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static interface&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.SheetContentsHandler.html"
                                        title="interface in org.apache.poi.xssf.eventusermodel">XSSFSheetXMLHandler.SheetContentsHandler</a></span></code>
                                    <div class="block">You need to implement this to handle the results
                                        of the sheet parsing.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.html#XSSFSheetXMLHandler-org.apache.poi.xssf.model.Styles-org.apache.poi.xssf.model.Comments-org.apache.poi.xssf.model.SharedStrings-org.apache.poi.xssf.eventusermodel.XSSFSheetXMLHandler.SheetContentsHandler-org.apache.poi.ss.usermodel.DataFormatter-boolean-">XSSFSheetXMLHandler</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/model/Styles.html"
                                        title="interface in org.apache.poi.xssf.model">Styles</a>&nbsp;styles,
                                    <a href="../../../../../org/apache/poi/xssf/model/Comments.html"
                                       title="interface in org.apache.poi.xssf.model">Comments</a>&nbsp;comments,
                                    <a href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                                       title="interface in org.apache.poi.xssf.model">SharedStrings</a>&nbsp;strings,
                                    <a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.SheetContentsHandler.html"
                                       title="interface in org.apache.poi.xssf.eventusermodel">XSSFSheetXMLHandler.SheetContentsHandler</a>&nbsp;sheetContentsHandler,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                       title="class in org.apache.poi.ss.usermodel">DataFormatter</a>&nbsp;dataFormatter,
                                    boolean&nbsp;formulasNotResults)</code>
                                    <div class="block">Accepts objects needed while parsing.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.html#XSSFSheetXMLHandler-org.apache.poi.xssf.model.Styles-org.apache.poi.xssf.model.SharedStrings-org.apache.poi.xssf.eventusermodel.XSSFSheetXMLHandler.SheetContentsHandler-boolean-">XSSFSheetXMLHandler</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/model/Styles.html"
                                        title="interface in org.apache.poi.xssf.model">Styles</a>&nbsp;styles,
                                    <a href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                                       title="interface in org.apache.poi.xssf.model">SharedStrings</a>&nbsp;strings,
                                    <a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.SheetContentsHandler.html"
                                       title="interface in org.apache.poi.xssf.eventusermodel">XSSFSheetXMLHandler.SheetContentsHandler</a>&nbsp;sheetContentsHandler,
                                    boolean&nbsp;formulasNotResults)</code>
                                    <div class="block">Accepts objects needed while parsing.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.html#XSSFSheetXMLHandler-org.apache.poi.xssf.model.Styles-org.apache.poi.xssf.model.SharedStrings-org.apache.poi.xssf.eventusermodel.XSSFSheetXMLHandler.SheetContentsHandler-org.apache.poi.ss.usermodel.DataFormatter-boolean-">XSSFSheetXMLHandler</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/model/Styles.html"
                                        title="interface in org.apache.poi.xssf.model">Styles</a>&nbsp;styles,
                                    <a href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                                       title="interface in org.apache.poi.xssf.model">SharedStrings</a>&nbsp;strings,
                                    <a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.SheetContentsHandler.html"
                                       title="interface in org.apache.poi.xssf.eventusermodel">XSSFSheetXMLHandler.SheetContentsHandler</a>&nbsp;sheetContentsHandler,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                       title="class in org.apache.poi.ss.usermodel">DataFormatter</a>&nbsp;dataFormatter,
                                    boolean&nbsp;formulasNotResults)</code>
                                    <div class="block">Accepts objects needed while parsing.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.html#characters-char:A-int-int-">characters</a></span>(char[]&nbsp;ch,
                                    int&nbsp;start,
                                    int&nbsp;length)</code>
                                    <div class="block">Captures characters only if a suitable element is open.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.html#endElement-java.lang.String-java.lang.String-java.lang.String-">endElement</a></span>(java.lang.String&nbsp;uri,
                                    java.lang.String&nbsp;localName,
                                    java.lang.String&nbsp;qName)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.html#startElement-java.lang.String-java.lang.String-java.lang.String-org.xml.sax.Attributes-">startElement</a></span>(java.lang.String&nbsp;uri,
                                    java.lang.String&nbsp;localName,
                                    java.lang.String&nbsp;qName,
                                    org.xml.sax.Attributes&nbsp;attributes)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.xml.sax.helpers.DefaultHandler">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.xml.sax.helpers.DefaultHandler</h3>
                                <code>endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace,
                                    notationDecl, processingInstruction, resolveEntity, setDocumentLocator,
                                    skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning</code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFSheetXMLHandler-org.apache.poi.xssf.model.Styles-org.apache.poi.xssf.model.Comments-org.apache.poi.xssf.model.SharedStrings-org.apache.poi.xssf.eventusermodel.XSSFSheetXMLHandler.SheetContentsHandler-org.apache.poi.ss.usermodel.DataFormatter-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XSSFSheetXMLHandler</h4>
                                <pre>public&nbsp;XSSFSheetXMLHandler(<a
                                        href="../../../../../org/apache/poi/xssf/model/Styles.html"
                                        title="interface in org.apache.poi.xssf.model">Styles</a>&nbsp;styles,
                           <a href="../../../../../org/apache/poi/xssf/model/Comments.html"
                              title="interface in org.apache.poi.xssf.model">Comments</a>&nbsp;comments,
                           <a href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                              title="interface in org.apache.poi.xssf.model">SharedStrings</a>&nbsp;strings,
                           <a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.SheetContentsHandler.html"
                              title="interface in org.apache.poi.xssf.eventusermodel">XSSFSheetXMLHandler.SheetContentsHandler</a>&nbsp;sheetContentsHandler,
                           <a href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                              title="class in org.apache.poi.ss.usermodel">DataFormatter</a>&nbsp;dataFormatter,
                           boolean&nbsp;formulasNotResults)</pre>
                                <div class="block">Accepts objects needed while parsing.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>styles</code> - Table of styles</dd>
                                    <dd><code>strings</code> - Table of shared strings</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="XSSFSheetXMLHandler-org.apache.poi.xssf.model.Styles-org.apache.poi.xssf.model.SharedStrings-org.apache.poi.xssf.eventusermodel.XSSFSheetXMLHandler.SheetContentsHandler-org.apache.poi.ss.usermodel.DataFormatter-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XSSFSheetXMLHandler</h4>
                                <pre>public&nbsp;XSSFSheetXMLHandler(<a
                                        href="../../../../../org/apache/poi/xssf/model/Styles.html"
                                        title="interface in org.apache.poi.xssf.model">Styles</a>&nbsp;styles,
                           <a href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                              title="interface in org.apache.poi.xssf.model">SharedStrings</a>&nbsp;strings,
                           <a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.SheetContentsHandler.html"
                              title="interface in org.apache.poi.xssf.eventusermodel">XSSFSheetXMLHandler.SheetContentsHandler</a>&nbsp;sheetContentsHandler,
                           <a href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                              title="class in org.apache.poi.ss.usermodel">DataFormatter</a>&nbsp;dataFormatter,
                           boolean&nbsp;formulasNotResults)</pre>
                                <div class="block">Accepts objects needed while parsing.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>styles</code> - Table of styles</dd>
                                    <dd><code>strings</code> - Table of shared strings</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="XSSFSheetXMLHandler-org.apache.poi.xssf.model.Styles-org.apache.poi.xssf.model.SharedStrings-org.apache.poi.xssf.eventusermodel.XSSFSheetXMLHandler.SheetContentsHandler-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFSheetXMLHandler</h4>
                                <pre>public&nbsp;XSSFSheetXMLHandler(<a
                                        href="../../../../../org/apache/poi/xssf/model/Styles.html"
                                        title="interface in org.apache.poi.xssf.model">Styles</a>&nbsp;styles,
                           <a href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                              title="interface in org.apache.poi.xssf.model">SharedStrings</a>&nbsp;strings,
                           <a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.SheetContentsHandler.html"
                              title="interface in org.apache.poi.xssf.eventusermodel">XSSFSheetXMLHandler.SheetContentsHandler</a>&nbsp;sheetContentsHandler,
                           boolean&nbsp;formulasNotResults)</pre>
                                <div class="block">Accepts objects needed while parsing.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>styles</code> - Table of styles</dd>
                                    <dd><code>strings</code> - Table of shared strings</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="startElement-java.lang.String-java.lang.String-java.lang.String-org.xml.sax.Attributes-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>startElement</h4>
                                <pre>public&nbsp;void&nbsp;startElement(java.lang.String&nbsp;uri,
                         java.lang.String&nbsp;localName,
                         java.lang.String&nbsp;qName,
                         org.xml.sax.Attributes&nbsp;attributes)
                  throws org.xml.sax.SAXException</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>startElement</code>&nbsp;in interface&nbsp;<code>org.xml.sax.ContentHandler</code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>startElement</code>&nbsp;in class&nbsp;<code>org.xml.sax.helpers.DefaultHandler</code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>org.xml.sax.SAXException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="endElement-java.lang.String-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>endElement</h4>
                                <pre>public&nbsp;void&nbsp;endElement(java.lang.String&nbsp;uri,
                       java.lang.String&nbsp;localName,
                       java.lang.String&nbsp;qName)
                throws org.xml.sax.SAXException</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>endElement</code>&nbsp;in
                                        interface&nbsp;<code>org.xml.sax.ContentHandler</code></dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>endElement</code>&nbsp;in class&nbsp;<code>org.xml.sax.helpers.DefaultHandler</code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>org.xml.sax.SAXException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="characters-char:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>characters</h4>
                                <pre>public&nbsp;void&nbsp;characters(char[]&nbsp;ch,
                       int&nbsp;start,
                       int&nbsp;length)
                throws org.xml.sax.SAXException</pre>
                                <div class="block">Captures characters only if a suitable element is open.
                                    Originally was just "v"; extended for inlineStr also.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>characters</code>&nbsp;in
                                        interface&nbsp;<code>org.xml.sax.ContentHandler</code></dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>characters</code>&nbsp;in class&nbsp;<code>org.xml.sax.helpers.DefaultHandler</code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>org.xml.sax.SAXException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFSheetXMLHandler.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFReader.XSSFSheetRef.html"
               title="class in org.apache.poi.xssf.eventusermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.SheetContentsHandler.html"
               title="interface in org.apache.poi.xssf.eventusermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFSheetXMLHandler.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
